## sunpy 3.1.3

=== debian/changelog ===
sunpy (3.1.3-2) unstable; urgency=medium

  * Install test files unconditionally after build (Closes: #1005706)

 -- Ole Streicher <olebole@debian.org>  Mon, 14 Feb 2022 08:06:25 +0100

sunpy (3.1.3-1) unstable; urgency=medium

  * New upstream version 3.1.3
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 11 Jan 2022 09:57:20 +0100

## sunpy 3.1.5

=== debian/changelog ===
sunpy (3.1.5-1) unstable; urgency=medium

  * New upstream version 3.1.5
  * Rediff patches. Drop patches that were applied upstream.

 -- Ole Streicher <olebole@debian.org>  Mon, 21 Mar 2022 14:12:15 +0100

sunpy (3.1.4-1) unstable; urgency=medium

  * New upstream version 3.1.4
  * Rediff patches
  * Explicitly specify empty warning for pytest
  * Fix GOES file loading with h5netcdf (Closes: #1006876)

 -- Ole Streicher <olebole@debian.org>  Tue, 08 Mar 2022 17:54:57 +0100

=== debian/control ===
Source: sunpy
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-asdf <!nocheck>,
               python3-astropy (>= 4.2~),
               python3-bs4 <!nocheck>,
               python3-distutils,
               python3-extension-helpers,
               python3-drms <!nocheck>,
               python3-h5netcdf <!nocheck>,
               python3-hypothesis <!nocheck>,
               python3-matplotlib <!nocheck>,
               python3-mpl-animators <!nocheck>,
               python3-mock <!nocheck>,
               python3-numpy,
               python3-pandas <!nocheck>,
               python3-parfive,
               python3-pytest <!nocheck>,
               python3-pytest-doctestplus <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-reproject <!nocheck>,
               python3-requests <!nocheck>,
               python3-scipy <!nocheck>,
               python3-setuptools,
               python3-setuptools-scm,
               python3-skimage <!nocheck>,
               python3-sqlalchemy <!nocheck>,
               python3-suds <!nocheck>,
               python3-tqdm <!nocheck>,
               python3-zeep <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy
Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
Homepage: https://sunpy.org/
Rules-Requires-Root: no

Package: python3-sunpy
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-bs4,
            python3-drms,
            python3-requests,
            python3-skimage,
            python3-sqlalchemy,
            python3-suds
Description: Software library for solar physics based on Python
 SunPy is a community-developed free and open-source software package for
 solar physics. SunPy is meant to be a free alternative to the SolarSoft data
 analysis environment. The aim of the SunPy project is to provide the
 software tools necessary so that anyone can analyze solar data.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=sunpy
export PYBUILD_TEST_ARGS=-k "not figure and not online"
export PYBUILD_AFTER_BUILD := \
  cp -a CITATION.rst {build_dir}/sunpy/ && \
  cp -a sunpy/data/ {build_dir}/sunpy/ && \
  cp -a sunpy/visualization/colormaps/data {build_dir}/sunpy/visualization/colormaps/ && \
  cp -a sunpy/net/jsoc/data {build_dir}/sunpy/net/jsoc/ && \
  cp -a sunpy/net/vso/data {build_dir}/sunpy/net/vso && \
  cp -a sunpy/net/cdaweb/data {build_dir}/sunpy/net/cdaweb && \
  cp -a sunpy/database/tests/*.txt {build_dir}/sunpy/database/tests/

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_python3:
	dh_numpy3
	dh_python3
	# conflicts with other packages
	rm -r debian/python3-sunpy/usr/lib/python3/dist-packages/benchmarks

override_dh_fixperms:
	chmod a-x debian/python*-sunpy/usr/lib/python*/dist-packages/sunpy/data/test/*.fts
	dh_fixperms

override_dh_auto_clean:
	dh_auto_clean
	rm -f sunpy.egg-info/PKG-INFO sunpy.egg-info/SOURCES.txt sunpy.egg-info/requires.txt

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && SUNPY_CONFIGDIR=$AUTOPKGTEST_TMP python3 -m pytest --remote-data=none --pyargs sunpy -k "not figure and not online"
Depends: python3-sunpy,
         python3-asdf,
         python3-bs4,
         python3-drms,
         python3-h5netcdf,
         python3-hypothesis,
         python3-tk,
         python3-mock,
         python3-mpl-animators,
         python3-parfive,
         python3-pytest,
         python3-pytest-doctestplus,
         python3-pytest-mock,
         python3-reproject,
         python3-requests,
         python3-skimage,
         python3-sqlalchemy,
         python3-suds,
         python3-zeep
Restrictions: allow-stderr

## sunpy 4.0.0

=== debian/changelog ===
sunpy (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * Rediff patches
  * Add opencv as (optional) test dependency
  * Add yaml schema files to package

 -- Ole Streicher <olebole@debian.org>  Tue, 10 May 2022 11:29:13 +0200

sunpy (3.1.6-1) unstable; urgency=medium

  * New upstream version 3.1.6
  * Rediff patches
  * Remove additional clean-up of install dir: resolved upstream

 -- Ole Streicher <olebole@debian.org>  Mon, 11 Apr 2022 10:43:39 +0200

## sunpy 4.0.1

=== debian/changelog ===
sunpy (4.0.1-2) unstable; urgency=medium

  * Fix FTBFS on mipsel: Ignore runtime warnings for invalid values

 -- Ole Streicher <olebole@debian.org>  Mon, 13 Jun 2022 08:56:32 +0200

sunpy (4.0.1-1) unstable; urgency=medium

  * New upstream version 4.0.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 11 Jun 2022 12:20:10 +0200

## sunpy 4.0.2

=== debian/changelog ===
sunpy (4.0.2-2) unstable; urgency=medium

  * Flag another hypothesis flaky error on mips64el

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Jun 2022 08:24:32 +0200

sunpy (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2
  * Rediff patches
  * Ignore all deprecation warnings (Closes: #1013567)

 -- Ole Streicher <olebole@debian.org>  Mon, 27 Jun 2022 08:17:05 +0200

## sunpy 4.0.3

=== debian/changelog ===
sunpy (4.0.3-2) unstable; urgency=medium

  * Add one more healthcheck suppression

 -- Ole Streicher <olebole@debian.org>  Mon, 18 Jul 2022 12:34:25 +0200

sunpy (4.0.3-1) unstable; urgency=medium

  * New upstream version 4.0.3
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 15 Jul 2022 15:40:28 +0200

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
                python3-mock <!nocheck>,
                python3-numpy,
                python3-pandas <!nocheck>,
+               python3-opencv <!nocheck>,
                python3-parfive,
                python3-pytest <!nocheck>,
                python3-pytest-doctestplus <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,6 @@
 override_dh_python3:
 	dh_numpy3
 	dh_python3
-	# conflicts with other packages
-	rm -r debian/python3-sunpy/usr/lib/python3/dist-packages/benchmarks
 
 override_dh_fixperms:
 	chmod a-x debian/python*-sunpy/usr/lib/python*/dist-packages/sunpy/data/test/*.fts

## sunpy 4.0.4

=== debian/changelog ===
sunpy (4.0.4-1) unstable; urgency=medium

  * New upstream version 4.0.4
  * Rediff patches
  * Push Standards-Version to 4.6.1. No changes needed
  * Ignore UserWarning about deprecated distutils

 -- Ole Streicher <olebole@debian.org>  Sat, 13 Aug 2022 13:11:44 +0200

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
                python3-suds <!nocheck>,
                python3-tqdm <!nocheck>,
                python3-zeep <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
 Homepage: https://sunpy.org/

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Test-Command: cd $AUTOPKGTEST_TMP && SUNPY_CONFIGDIR=$AUTOPKGTEST_TMP python3 -m pytest --remote-data=none --pyargs sunpy -k "not figure and not online"
 Depends: python3-sunpy,
          python3-asdf,
+         python3-asdf-astropy,
+         python3-astropy,
          python3-bs4,
          python3-drms,
          python3-h5netcdf,
@@ -8,6 +10,7 @@
          python3-tk,
          python3-mock,
          python3-mpl-animators,
+         python3-opencv,
          python3-parfive,
          python3-pytest,
          python3-pytest-doctestplus,

## sunpy 4.0.5

=== debian/changelog ===
sunpy (4.0.5-1) unstable; urgency=medium

  * New upstream version 4.0.5. Closes: #1020112
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 18 Sep 2022 13:39:51 +0200

=== debian/rules ===
--- 
+++ 
@@ -19,10 +19,6 @@
 	dh_numpy3
 	dh_python3
 
-override_dh_fixperms:
-	chmod a-x debian/python*-sunpy/usr/lib/python*/dist-packages/sunpy/data/test/*.fts
-	dh_fixperms
-
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f sunpy.egg-info/PKG-INFO sunpy.egg-info/SOURCES.txt sunpy.egg-info/requires.txt

## sunpy 4.0.6

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

html-noplot:
	@$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) $(SOURCEDIR) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

clean:
	rm -rf $(BUILDDIR)
	rm -rf $(BUILDDIR)/../generated

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
sunpy (4.0.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata

  [ Ole Streicher ]
  * New upstream version 4.0.6
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sat, 29 Oct 2022 11:06:34 +0200

=== debian/rules ===
--- 
+++ 
@@ -22,4 +22,3 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f sunpy.egg-info/PKG-INFO sunpy.egg-info/SOURCES.txt sunpy.egg-info/requires.txt
-

## sunpy 4.1.0

=== debian/changelog ===
sunpy (4.1.0-2) unstable; urgency=medium

  * Ignore all divide-by-zero and all-nan warnings
  * Don't install asdtropy-asdf in CI tests: this package is buggy in sid

 -- Ole Streicher <olebole@debian.org>  Tue, 13 Dec 2022 21:08:02 +0100

sunpy (4.1.0-1) unstable; urgency=medium

  * New upstream version 4.1.0. Closes: #1026004
  * Rediff patches
  * New build (test) dependency python3-pytest-xdist

 -- Ole Streicher <olebole@debian.org>  Tue, 15 Nov 2022 10:18:58 +0100

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
                python3-pytest <!nocheck>,
                python3-pytest-doctestplus <!nocheck>,
                python3-pytest-mock <!nocheck>,
+               python3-pytest-xdist <!nocheck>,
                python3-reproject <!nocheck>,
                python3-requests <!nocheck>,
                python3-scipy <!nocheck>,

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && SUNPY_CONFIGDIR=$AUTOPKGTEST_TMP python3 -m pytest --remote-data=none --pyargs sunpy -k "not figure and not online"
Depends: python3-sunpy,
         python3-asdf,
         python3-asdf-coordinates-schemas,
         python3-asdf-transform-schemas,
         python3-asdf-wcs-schemas,
         python3-astropy,
         python3-bs4,
         python3-drms,
         python3-h5netcdf,
         python3-hypothesis,
         python3-tk,
         python3-mock,
         python3-mpl-animators,
         python3-pandas,
         python3-opencv,
         python3-parfive,
         python3-pytest,
         python3-pytest-doctestplus,
         python3-pytest-mock,
         python3-pytest-xdist,
         python3-reproject,
         python3-requests,
         python3-skimage,
         python3-sqlalchemy,
         python3-suds,
	 python3-tqdm,
         python3-zeep
Restrictions: allow-stderr

## sunpy 4.1.1

=== debian/changelog ===
sunpy (4.1.1-1) unstable; urgency=medium

  * New upstream version 4.1.1
  * Rediff patches
  * Push Standards-Version to 4.6.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Wed, 04 Jan 2023 09:54:51 +0100

sunpy (4.1.0-3) unstable; urgency=medium

  * Add python3-asdf-coordinates-schemas and python3-astropy-asdf
    to test dependencies
  * Also ignore matplotlib user warning

 -- Ole Streicher <olebole@debian.org>  Tue, 03 Jan 2023 16:11:24 +0100

## sunpy 4.1.2

=== debian/changelog ===
sunpy (4.1.2-1) unstable; urgency=medium

  * New upstream version 4.1.2
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 29 Jan 2023 14:04:43 +0100

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Test-Command: cd $AUTOPKGTEST_TMP && SUNPY_CONFIGDIR=$AUTOPKGTEST_TMP python3 -m pytest --remote-data=none --pyargs sunpy -k "not figure and not online"
 Depends: python3-sunpy,
          python3-asdf,
+         python3-asdf-astropy,
          python3-asdf-coordinates-schemas,
          python3-asdf-transform-schemas,
          python3-asdf-wcs-schemas,

## sunpy 5.0.0

=== debian/changelog ===
sunpy (5.0.0-1) unstable; urgency=medium

  * New upstream version 5.0.0
  * Rediff patches
  * Remove unneeded minversion from py3-astropy build dep

 -- Ole Streicher <olebole@debian.org>  Fri, 23 Jun 2023 21:26:07 +0200

## sunpy 5.0.1

=== debian/changelog ===
sunpy (5.0.1-1) unstable; urgency=medium

  * New upstream version 5.0.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 27 Sep 2023 21:07:17 +0200

## sunpy 5.1.0

=== debian/changelog ===
sunpy (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0
  * Rediff patches
  * Skip spiceypy tests if not availavbe
  * Skip more tests that need remote data

 -- Ole Streicher <olebole@debian.org>  Wed, 22 Nov 2023 21:18:22 +0100

## sunpy 5.1.1

=== docs/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 clean:
 	rm -rf $(BUILDDIR)
-	rm -rf $(BUILDDIR)/../generated
+	rm -rf ./generated
 
 # Catch-all target: route all unknown targets to Sphinx using the new
 # "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).

=== debian/changelog ===
sunpy (5.1.1-5) unstable; urgency=medium

  * Team upload.
  * Add patch from upstream from debugging armel/mips64el test failures.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 05 Apr 2024 19:56:19 +0200

sunpy (5.1.1-4) unstable; urgency=medium

  * Team upload.
  * d/control: adjust dependencies to improve cross-building.
  * Adjust Pytest8 patch to match what upstream backported to their 5.1
    branch.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 04 Apr 2024 15:07:04 +0200

sunpy (5.1.1-3) unstable; urgency=medium

  * Team upload.
  * Require at lease version 8 of Pytest.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 28 Mar 2024 08:51:34 +0100

sunpy (5.1.1-2) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patch from upstream to support Pytest 8.0.
    (Closes: #1063988, #1066775)
  * d/control: remove build-dep on distutils. Closes: #1065967
  * d/rules: simplify
  * d/copyright: removed reference to sunpy/util/multimethod.py, which
    was removed upstream in version 2.1.
  * d/watch: upgraded to watch syntax version 4 (no changes needed).
  * Silence some lintian warnings about installed test files that were
    guessed to be documentation.
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 27 Mar 2024 15:59:40 +0100

sunpy (5.1.1-1) unstable; urgency=medium

  * New upstream version 5.1.1. Closes: ##1058170
  * Rediff patches
  * Ignore Astropy warnings (Closes: #1055892)

 -- Ole Streicher <olebole@debian.org>  Sat, 03 Feb 2024 17:02:01 +0100

=== debian/control ===
--- 
+++ 
@@ -4,24 +4,24 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3-all-dev,
+               dh-sequence-python3,
+               python3-all-dev:native,
+               libpython3-all-dev,
                python3-asdf <!nocheck>,
-               python3-astropy (>= 4.2~),
+               python3-astropy <!nocheck>,
                python3-bs4 <!nocheck>,
-               python3-distutils,
-               python3-extension-helpers,
+               python3-extension-helpers <!nocheck>,
                python3-drms <!nocheck>,
                python3-h5netcdf <!nocheck>,
                python3-hypothesis <!nocheck>,
                python3-matplotlib <!nocheck>,
                python3-mpl-animators <!nocheck>,
                python3-mock <!nocheck>,
-               python3-numpy,
+               python3-numpy <!nocheck>,
                python3-pandas <!nocheck>,
                python3-opencv <!nocheck>,
-               python3-parfive,
-               python3-pytest <!nocheck>,
+               python3-parfive <!nocheck>,
+               python3-pytest (>= 8) <!nocheck>,
                python3-pytest-doctestplus <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-pytest-xdist <!nocheck>,
@@ -29,13 +29,13 @@
                python3-requests <!nocheck>,
                python3-scipy <!nocheck>,
                python3-setuptools,
-               python3-setuptools-scm,
+               python3-setuptools-scm:native,
                python3-skimage <!nocheck>,
                python3-sqlalchemy <!nocheck>,
                python3-suds <!nocheck>,
                python3-tqdm <!nocheck>,
                python3-zeep <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
 Homepage: https://sunpy.org/

## sunpy 5.1.3

=== debian/changelog ===
sunpy (5.1.3-2) unstable; urgency=medium

  * Ignore more divide-by-zero and invalid-value warnings. Adresses FTBFS
    on armel and mips64el.

 -- Ole Streicher <olebole@debian.org>  Wed, 29 May 2024 21:00:06 +0200

sunpy (5.1.3-1) unstable; urgency=medium

  * New upstream version 5.1.3
  * Rediff patches. Remove patches that were applied upstream
  * Skip tests that require installed sunpy plugin
  * Push Standards-Version to 4.7.0. No changes needed
  * Disable tests that fail due to old importlib_metadata version in Debian

 -- Ole Streicher <olebole@debian.org>  Mon, 27 May 2024 08:53:30 +0200

## sunpy 5.1.4

=== debian/changelog ===
sunpy (5.1.4-1) unstable; urgency=medium

  * New upstream version 5.1.4
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 11 Jun 2024 08:02:54 +0200

=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
                python3-suds <!nocheck>,
                python3-tqdm <!nocheck>,
                python3-zeep <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
 Homepage: https://sunpy.org/

=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,11 @@
   cp -a sunpy/net/jsoc/data {build_dir}/sunpy/net/jsoc/ && \
   cp -a sunpy/net/vso/data {build_dir}/sunpy/net/vso && \
   cp -a sunpy/net/cdaweb/data {build_dir}/sunpy/net/cdaweb && \
-  cp -a sunpy/database/tests/*.txt {build_dir}/sunpy/database/tests/
+  cp -a sunpy/database/tests/*.txt {build_dir}/sunpy/database/tests/ && \
+  cp -a sunpy/physics/tests/reference/ {build_dir}/sunpy/physics/tests
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_python3:
-	dh_numpy3
+execute_after_dh_python3:
 	dh_python3
-
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -f sunpy.egg-info/PKG-INFO sunpy.egg-info/SOURCES.txt sunpy.egg-info/requires.txt

=== debian/tests/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
          python3-pandas,
          python3-opencv,
          python3-parfive,
-         python3-pytest,
+         python3-pytest (>= 8),
          python3-pytest-doctestplus,
          python3-pytest-mock,
          python3-pytest-xdist,

## sunpy 6.0.1

=== debian/changelog ===
sunpy (6.0.1-2) unstable; urgency=medium

  * Remove files from generic paths .../dist-packages/(docs,examples,lienses)

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Aug 2024 10:34:40 +0200

sunpy (6.0.1-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * remove dependency on python3-mock (Closes: #1070282)
  * remove dep on python3-suds: CHANGELOG.rst: Transition the from using suds to zeep as...

  [ Ole Streicher ]
  * New upstream version 6.0.1. Closes: #1074749
  * Rediff patches
  * Add _compiler.c to d/clean
  * Catch packagenotfound error when trying to get optional dependencies
  * Update copying of additional files
  * Don't test ASDF schemas

 -- Ole Streicher <olebole@debian.org>  Sun, 25 Aug 2024 15:05:09 +0200

## sunpy 6.0.2

=== debian/changelog ===
sunpy (6.0.2-1) unstable; urgency=medium

  * Fix examples subdir
  * New upstream version 6.0.2
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 11 Sep 2024 09:02:51 +0200

## sunpy 6.0.3

=== debian/changelog ===
sunpy (6.0.3-2) unstable; urgency=medium

  * Suppress IERS max_age error in test

 -- Ole Streicher <olebole@debian.org>  Tue, 26 Nov 2024 09:04:18 +0100

sunpy (6.0.3-1) unstable; urgency=medium

  * New upstream version 6.0.3. Closes: #1082130
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 18 Oct 2024 10:16:19 +0200

## sunpy 6.0.4

=== debian/changelog ===
sunpy (6.0.4-1) unstable; urgency=medium

  * New upstream version 6.0.4
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Fri, 27 Dec 2024 15:58:37 +0100

## sunpy 6.1.1

=== docs/Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 # Minimal makefile for Sphinx documentation
 #
 
-# You can set these variables from the command line.
-SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
+# You can set these variables from the command line, and also
+# from the environment for the first two.
+SPHINXOPTS    ?=
+SPHINXBUILD   ?= sphinx-build
 SOURCEDIR     = .
 BUILDDIR      = _build

=== debian/changelog ===
sunpy (6.1.1-1) unstable; urgency=medium

  * New upstream version 6.1.1
  * Rediff patches
  * Add missing asdf_entry_points test decorations

 -- Ole Streicher <olebole@debian.org>  Tue, 25 Feb 2025 08:17:31 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
                python3-hypothesis <!nocheck>,
                python3-matplotlib <!nocheck>,
                python3-mpl-animators <!nocheck>,
-               python3-mock <!nocheck>,
                python3-numpy <!nocheck>,
                python3-pandas <!nocheck>,
                python3-opencv <!nocheck>,
@@ -32,7 +31,6 @@
                python3-setuptools-scm:native,
                python3-skimage <!nocheck>,
                python3-sqlalchemy <!nocheck>,
-               python3-suds <!nocheck>,
                python3-tqdm <!nocheck>,
                python3-zeep <!nocheck>
 Standards-Version: 4.7.0
@@ -51,7 +49,6 @@
             python3-requests,
             python3-skimage,
             python3-sqlalchemy,
-            python3-suds
 Description: Software library for solar physics based on Python
  SunPy is a community-developed free and open-source software package for
  solar physics. SunPy is meant to be a free alternative to the SolarSoft data

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
   cp -a sunpy/net/jsoc/data {build_dir}/sunpy/net/jsoc/ && \
   cp -a sunpy/net/vso/data {build_dir}/sunpy/net/vso && \
   cp -a sunpy/net/cdaweb/data {build_dir}/sunpy/net/cdaweb && \
-  cp -a sunpy/database/tests/*.txt {build_dir}/sunpy/database/tests/ && \
   cp -a sunpy/physics/tests/reference/ {build_dir}/sunpy/physics/tests
 
 %:
@@ -18,3 +17,10 @@
 
 execute_after_dh_python3:
 	dh_python3
+
+override_dh_auto_install:
+	dh_auto_install
+	rm -rf debian/*/usr/lib/python3*/dist-packages/docs \
+	    debian/*/usr/lib/python3*/dist-packages/examples \
+	    debian/*/usr/lib/python3*/dist-packages/licenses \
+	    debian/*/usr/lib/python3*/dist-packages/result_images

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/sunpy/sunpy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sunpy 7.0.1

=== debian/changelog ===
sunpy (7.0.1-1) unstable; urgency=medium

  * New upstream version 7.0.1
  * Rediff patches
  * d/u/metadata: fix Reference keywords
  * d/u/metadata: remove "Registry" keyword
  * Push Standards-Version to 4.7.2, no changes needed
  * Remove unneeded typedef from _pyana.c
  * Skip one more test that fails w/o installed asdf plugin
  * Mark an i386 failure as xfail
  * Add dh_numpy3 call to build

 -- Ole Streicher <olebole@debian.org>  Tue, 02 Sep 2025 14:56:42 +0200

=== debian/control ===
--- 
+++ 
@@ -17,6 +17,7 @@
                python3-matplotlib <!nocheck>,
                python3-mpl-animators <!nocheck>,
                python3-numpy <!nocheck>,
+               python3-numpy-dev,
                python3-pandas <!nocheck>,
                python3-opencv <!nocheck>,
                python3-parfive <!nocheck>,
@@ -33,7 +34,7 @@
                python3-sqlalchemy <!nocheck>,
                python3-tqdm <!nocheck>,
                python3-zeep <!nocheck>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
 Homepage: https://sunpy.org/
@@ -48,7 +49,7 @@
             python3-drms,
             python3-requests,
             python3-skimage,
-            python3-sqlalchemy,
+            python3-sqlalchemy
 Description: Software library for solar physics based on Python
  SunPy is a community-developed free and open-source software package for
  solar physics. SunPy is meant to be a free alternative to the SolarSoft data

## sunpy 7.0.2

=== debian/changelog ===
sunpy (7.0.2-1) unstable; urgency=medium

  [ Phil Wyett ]
  * Convert 'd/watch' to version 5 format.
  * Remove no longer required 'Rules-Requires-Root: no'. Is now the default.

  [ Ole Streicher ]
  * New upstream version 7.0.2
  * Drop Remove-unneeded-typedef-from-_pyana.c.patch: applied upstream

 -- Ole Streicher <olebole@debian.org>  Sat, 20 Sep 2025 15:06:21 +0200

=== debian/control ===
--- 
+++ 
@@ -38,7 +38,6 @@
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
 Homepage: https://sunpy.org/
-Rules-Requires-Root: no
 
 Package: python3-sunpy
 Architecture: any

=== debian/tests/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
          python3-h5netcdf,
          python3-hypothesis,
          python3-tk,
-         python3-mock,
          python3-mpl-animators,
          python3-pandas,
          python3-opencv,
@@ -24,7 +23,6 @@
          python3-requests,
          python3-skimage,
          python3-sqlalchemy,
-         python3-suds,
 	 python3-tqdm,
          python3-zeep
 Restrictions: allow-stderr

=== debian/watch ===
Version: 5
Source: https://pypi.python.org/packages/source/s/sunpy/
Matching-Pattern: sunpy-@ANY_VERSION@@ARCHIVE_EXT@

## sunpy 7.0.3

=== docs/Makefile ===
--- 
+++ 
@@ -24,6 +24,6 @@
 	rm -rf ./generated
 
 # Catch-all target: route all unknown targets to Sphinx using the new
-# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
+# "make mode" option. $(O) is meant as a shortcut for $(SPHINXOPTS).
 %: Makefile
 	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
sunpy (7.0.3-1) unstable; urgency=medium

  * New upstream version 7.0.3
  * Rediff patches
  * Adjust CITATION.rst location in d/rules
  * Mark more tests as remote-data
  * New test dependency pytest-asdf-plugin
  * Force copying ASDF manifests and schemas

 -- Ole Streicher <olebole@debian.org>  Thu, 23 Oct 2025 20:17:06 +0200

sunpy (7.0.2-2) unstable; urgency=medium

  * Add python3-pytest-astropy to test dependencies
  * d/watch: switch upstream source to Github

 -- Ole Streicher <olebole@debian.org>  Wed, 15 Oct 2025 11:42:03 +0200

=== debian/control ===
Source: sunpy
Standards-Version: 4.7.2
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders:
 Ole Streicher <olebole@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all-dev:native,
 libpython3-all-dev,
 python3-asdf <!nocheck>,
 python3-astropy <!nocheck>,
 python3-bs4 <!nocheck>,
 python3-extension-helpers <!nocheck>,
 python3-drms <!nocheck>,
 python3-h5netcdf <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-matplotlib <!nocheck>,
 python3-mpl-animators <!nocheck>,
 python3-numpy <!nocheck>,
 python3-numpy-dev,
 python3-pandas <!nocheck>,
 python3-opencv <!nocheck>,
 python3-parfive <!nocheck>,
 python3-pytest (>= 8) <!nocheck>,
 python3-pytest-astropy <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-reproject <!nocheck>,
 python3-requests <!nocheck>,
 python3-scipy <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm:native,
 python3-skimage <!nocheck>,
 python3-sqlalchemy <!nocheck>,
 python3-tqdm <!nocheck>,
 python3-zeep <!nocheck>,
Vcs-Browser: https://salsa.debian.org/debian-astro-team/sunpy
Vcs-Git: https://salsa.debian.org/debian-astro-team/sunpy.git
Homepage: https://sunpy.org/

Package: python3-sunpy
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-bs4,
 python3-drms,
 python3-requests,
 python3-skimage,
 python3-sqlalchemy,
Description: Software library for solar physics based on Python
 SunPy is a community-developed free and open-source software package for
 solar physics. SunPy is meant to be a free alternative to the SolarSoft data
 analysis environment. The aim of the SunPy project is to provide the
 software tools necessary so that anyone can analyze solar data.

=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,22 @@
 export PYBUILD_NAME=sunpy
 export PYBUILD_TEST_ARGS=-k "not figure and not online"
 export PYBUILD_AFTER_BUILD := \
-  cp -a CITATION.rst {build_dir}/sunpy/ && \
+  cp -a sunpy/CITATION.rst {build_dir}/sunpy/ && \
   cp -a sunpy/data/ {build_dir}/sunpy/ && \
   cp -a sunpy/visualization/colormaps/data {build_dir}/sunpy/visualization/colormaps/ && \
   cp -a sunpy/net/jsoc/data {build_dir}/sunpy/net/jsoc/ && \
   cp -a sunpy/net/vso/data {build_dir}/sunpy/net/vso && \
   cp -a sunpy/net/cdaweb/data {build_dir}/sunpy/net/cdaweb && \
-  cp -a sunpy/physics/tests/reference/ {build_dir}/sunpy/physics/tests
+  cp -a sunpy/physics/tests/reference/ {build_dir}/sunpy/physics/tests && \
+  cp -a sunpy/io/special/asdf/resources/manifests {build_dir}/sunpy/io/special/asdf/resources/ && \
+  cp -a sunpy/io/special/asdf/tests/*.asdf {build_dir}/sunpy/io/special/asdf/tests/ && \
+  cp -a sunpy/io/special/asdf/resources/schemas {build_dir}/sunpy/io/special/asdf/resources/
 
 %:
 	dh $@ --buildsystem=pybuild
 
 execute_after_dh_python3:
-	dh_python3
+	dh_numpy3
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
--- 
+++ 
@@ -16,7 +16,8 @@
          python3-opencv,
          python3-parfive,
          python3-pytest (>= 8),
-         python3-pytest-doctestplus,
+         python3-pytest-asdf-plugin,
+         python3-pytest-astropy,
          python3-pytest-mock,
          python3-pytest-xdist,
          python3-reproject,

=== debian/watch ===
Version: 5
Template: Github
Owner: sunpy
Project: sunpy
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@STABLE_VERSION@

## sunpy 7.0.4

=== debian/changelog ===
sunpy (7.0.4-1) unstable; urgency=medium

  Team Upload.

  [ Stuart Prescott ]
  * Set HOME in autopkgtest tests to prevent failures.

  [ Ole Streicher ]
  * New upstream version 7.0.4
  * Rediff patches

 -- Stuart Prescott <stuart@debian.org>  Mon, 15 Dec 2025 13:26:54 +1100

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Test-Command: cd $AUTOPKGTEST_TMP && SUNPY_CONFIGDIR=$AUTOPKGTEST_TMP python3 -m pytest --remote-data=none --pyargs sunpy -k "not figure and not online"
+Test-Command: cd $AUTOPKGTEST_TMP && SUNPY_CONFIGDIR=$AUTOPKGTEST_TMP HOME=$AUTOPKGTEST_TMP python3 -m pytest --remote-data=none --pyargs sunpy -k "not figure and not online"
 Depends: python3-sunpy,
          python3-asdf,
          python3-asdf-astropy,

## sunpy 7.1.0

=== debian/changelog ===
sunpy (7.1.0-1) unstable; urgency=medium

  * New upstream version 7.1.0
  * Rediff patches
  * Push Standards-Version to 4.7.3, no changes needed
  * Build-Depend on pybuild-plugin-pyproject
  * Include all files in MANIFEST.in
  * Ignore SunPy user warnings aboud missing cdflib
  * Don't run asdf tests (require sunpy plugin)
  * Merge ignore-warning patches

 -- Ole Streicher <olebole@debian.org>  Wed, 18 Feb 2026 22:47:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: sunpy
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders:
  Ole Streicher <olebole@debian.org>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ libpython3-all-dev,
+ pybuild-plugin-pyproject,
  python3-all-dev:native,
- libpython3-all-dev,
  python3-asdf <!nocheck>,
  python3-astropy <!nocheck>,
  python3-bs4 <!nocheck>,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=sunpy
export PYBUILD_TEST_ARGS=-k "not figure and not online and not asdf"

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_python3:
	dh_numpy3

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/*/usr/lib/python3*/dist-packages/docs \
	    debian/*/usr/lib/python3*/dist-packages/examples \
	    debian/*/usr/lib/python3*/dist-packages/licenses \
	    debian/*/usr/lib/python3*/dist-packages/result_images
